DOMImplementationSource Class Referenceabstract

## Public Member Functions

Destructor
virtual | ~DOMImplementationSource ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual DOMImplementation * | getDOMImplementation (const XMLCh *features) const =0
| A method to request the first DOM implementation that supports the specified features. More...
virtual DOMImplementationList * | getDOMImplementationList (const XMLCh *features) const =0
| A method to request a list of DOM implementations that support the specified features and versions,. More...

## Protected Member Functions

Hidden constructors
| DOMImplementationSource ()

## Constructor & Destructor Documentation

DOMImplementationSource::DOMImplementationSource | ( |  | ) |

protected

virtual DOMImplementationSource::~DOMImplementationSource | ( |  | ) |

virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

virtual DOMImplementation* DOMImplementationSource::getDOMImplementation | ( | const XMLCh * | features | ) | const

pure virtual

A method to request the first DOM implementation that supports the specified features.

Parameters

  features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal 2.0"

Returns
  An implementation that has the desired features, or `null` if this source has none.

Since
  DOM Level 3

virtual DOMImplementationList* DOMImplementationSource::getDOMImplementationList | ( | const XMLCh * | features | ) | const

pure virtual

A method to request a list of DOM implementations that support the specified features and versions,.

Parameters

  features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal 2.0"

Returns
  A list of DOM implementations that support the desired features

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationSource.hpp